database_api.list_smt_tokens
since HF23 deprecated
SMT has been abandoned; this RPC method is no longer provided.
Purpose
List SMTs. Parameters: start:object; limit:int; order:string
startdepends onorder(see below)limitis up to 1000.ordercan be one of:by_symbol- order by symbolby_control_account- order by control account
| start (object) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | {"nai": "@@422838704", "decimals": 0} | 10 | by_symbol | list 10 tokens, ordered by symbol | | "" | 10 | by_control_account | list 10 tokens, ordered by control account | | ["", {"nai": "@@422838704", "decimals": 0}] | 10 | by_control_account | list 10 tokens, ordered by control account, symbol |
See: Smart Media Tokens (SMTs)
Also see: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_symbol"
}⚠ This method is deprecated (SMT-era) and no longer served by public nodes.
Example
Example 1
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_tokens",
"params": {
"start": {
"nai": "@@422838704",
"decimals": 0
},
"limit": 10,
"order": "by_symbol"
},
"id": 1
}'Example 2
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_tokens",
"params": {
"start": "",
"limit": 10,
"order": "by_control_account"
},
"id": 1
}'Example 3
BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_smt_tokens",
"params": {
"start": [
"",
{
"nai": "@@422838704",
"decimals": 0
}
],
"limit": 10,
"order": "by_control_account"
},
"id": 1
}'Response
RESPONSE
json
{
"tokens": [
{
"token": {
"id": 0,
"liquid_symbol": {
"nai": "@@422838704",
"decimals": 0
},
"control_account": "alice",
"phase": "setup",
"current_supply": 0,
"total_vesting_fund_smt": 0,
"total_vesting_shares": 0,
"total_vesting_fund_ballast": 0,
"total_vesting_shares_ballast": 0,
"pending_rewarded_vesting_shares": 0,
"pending_rewarded_vesting_smt": 0,
"reward_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"recent_claims": "0",
"last_reward_update": "1970-01-01T00:00:00",
"last_virtual_emission_time": "1970-01-01T00:00:00",
"allow_downvotes": true,
"market_maker": {
"steem_balance": {
"amount": "0",
"precision": 3,
"nai": "@@000000021"
},
"token_balance": {
"amount": "0",
"precision": 0,
"nai": "@@422838704"
},
"reserve_ratio": 0
},
"allow_voting": true,
"cashout_window_seconds": 3600,
"reverse_auction_window_seconds": 900,
"vote_regeneration_period_seconds": 432000,
"votes_per_regeneration_period": 50,
"content_constant": "2000000000000",
"percent_curation_rewards": 2500,
"author_reward_curve": "linear",
"curation_reward_curve": "square_root",
"max_supply": 0
}
}
]
}